# Generated by Django 2.1.7 on 2019-12-18 16:15

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import lingua.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0050_auto_20191104_1008'),
    ]

    operations = [
        migrations.CreateModel(
            name='info_unit_address_struct',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('street_name', lingua.fields.LinguaField(verbose_name='street_name')),
                ('street_number', models.TextField()),
                ('postal_code', models.IntegerField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('town', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_address_struct_town', to='angled.Term')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'address_struct',
                'ordering': ['-created_at'],
                'verbose_name': 'address_struct',
            },
        ),
        migrations.CreateModel(
            name='info_unit_district',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_district_name', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'district',
                'ordering': ['-created_at'],
                'verbose_name': 'district',
            },
        ),
        migrations.CreateModel(
            name='info_unit_housing_batch',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('quantity', models.IntegerField()),
                ('disposal', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_housing_batch_disposal', to='angled.Term')),
                ('planned_release', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_housing_batch_planned_release', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('rental_level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_housing_batch_rental_level', to='angled.Term')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'housing_batch',
                'ordering': ['-created_at'],
                'verbose_name': 'housing_batch',
            },
        ),
        migrations.CreateModel(
            name='info_unit_housing_info',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('studio', models.IntegerField()),
                ('one', models.IntegerField()),
                ('two', models.IntegerField()),
                ('three', models.IntegerField()),
                ('four_more', models.IntegerField()),
                ('pmr', models.IntegerField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'housing_info',
                'ordering': ['-created_at'],
                'verbose_name': 'housing_info',
            },
        ),
        migrations.CreateModel(
            name='info_unit_nova_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('reference', models.CharField(max_length=64)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'nova_subsidy',
                'ordering': ['-created_at'],
                'verbose_name': 'nova_subsidy',
            },
        ),
        migrations.CreateModel(
            name='info_unit_school_info',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('lang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_lang', to='angled.Term')),
                ('level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_level', to='angled.Term')),
                ('network', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_network', to='angled.Term')),
                ('po', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_po', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('sector', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_sector', to='angled.Term')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_none_type', to='angled.Term')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'school_info',
                'ordering': ['-created_at'],
                'verbose_name': 'school_info',
            },
        ),
        migrations.CreateModel(
            name='info_unit_stat_sector',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_stat_sector_name', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'stat_sector',
                'ordering': ['-created_at'],
                'verbose_name': 'stat_sector',
            },
        ),
        migrations.CreateModel(
            name='info_unit_total_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('amount', models.IntegerField()),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'total_subsidy',
                'ordering': ['-created_at'],
                'verbose_name': 'total_subsidy',
            },
        ),
        migrations.CreateModel(
            name='info_unit_town',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_town_name', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'town',
                'ordering': ['-created_at'],
                'verbose_name': 'town',
            },
        ),
        migrations.CreateModel(
            name='info_unit_visa_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('reference', models.CharField(max_length=64)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'visa_subsidy',
                'ordering': ['-created_at'],
                'verbose_name': 'visa_subsidy',
            },
        ),
        migrations.CreateModel(
            name='multi_housing_batch',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('index', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.ListIndex')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='angled.info_unit_housing_batch')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_address_struct',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_address_struct', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_address_struct')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_district',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_district', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_district')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_housing_batch',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_housing_batch', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_housing_batch')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_housing_info',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_housing_info', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_housing_info')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_nova_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_nova_subsidy', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_nova_subsidy')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_school_info',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_school_info', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_school_info')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_stat_sector',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_stat_sector', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_stat_sector')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_total_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_total_subsidy', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_total_subsidy')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_town',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_town', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_town')),
            ],
        ),
        migrations.CreateModel(
            name='Reading_visa_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_visa_subsidy', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_visa_subsidy')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_address_struct',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_address_struct', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_address_struct', to='angled.info_unit_address_struct')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_district',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_district', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_district', to='angled.info_unit_district')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_housing_batch',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_housing_batch', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_housing_batch', to='angled.info_unit_housing_batch')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_housing_info',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_housing_info', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_housing_info', to='angled.info_unit_housing_info')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_nova_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_nova_subsidy', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_nova_subsidy', to='angled.info_unit_nova_subsidy')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_school_info',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_school_info', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_school_info', to='angled.info_unit_school_info')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_stat_sector',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_stat_sector', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_stat_sector', to='angled.info_unit_stat_sector')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_total_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_total_subsidy', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_total_subsidy', to='angled.info_unit_total_subsidy')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_town',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_town', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_town', to='angled.info_unit_town')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_visa_subsidy',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_visa_subsidy', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_visa_subsidy', to='angled.info_unit_visa_subsidy')),
            ],
        ),
        migrations.RemoveField(
            model_name='info_unit_ppas_outer_ref',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_ppas_outer_ref',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_ppas_outer_ref',
            name='user',
        ),
        migrations.RemoveField(
            model_name='reading_ppas_outer_ref',
            name='audience',
        ),
        migrations.RemoveField(
            model_name='reading_ppas_outer_ref',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='tagged_ppas_outer_ref',
            name='tag',
        ),
        migrations.RemoveField(
            model_name='tagged_ppas_outer_ref',
            name='unit',
        ),
        migrations.DeleteModel(
            name='info_unit_ppas_outer_ref',
        ),
        migrations.DeleteModel(
            name='Reading_ppas_outer_ref',
        ),
        migrations.DeleteModel(
            name='Tagged_ppas_outer_ref',
        ),
    ]
